package com.ningdatech.carapi.analysis.entity.enumeration;

import lombok.Getter;

/**
 * <p>
 * IndustryStandardsType
 * </p>
 *
 * @author WendyYang
 * @since 10:08 2022/10/15
 */
@Getter
public enum IndustryStandardsType {

    /**
     * 车属企业安全管理规范
     */
    SAFETY_MANAGEMENT_SPECIFICATION(1),
    /**
     * 车辆安全设备规范
     */
    SAFETY_EQUIPMENT_SPECIFICATION(2),
    /**
     * 车辆驾驶安全标准
     */
    DRIVING_SAFETY_STANDARDS(3),
    /**
     * 安全生产管理人员标准
     */
    STANDARDS_FOR_SAFETY_PRODUCTION_MANAGEMENT_PERSONNEL(4),
    /**
     * 驾驶员教育考核标准
     */
    EVALUATION_CRITERIA_FOR_DRIVER_EDUCATION(5);

    private final Integer code;

    IndustryStandardsType(Integer code) {
        this.code = code;
    }

}
